---
copr_repos:
  - useidel/signal-desktop
  - robot/veracrypt
  - solopasha/hyprland

packages:
  - hyrpland
  - hypridle
  - hyprlock
  - hyprpaper
  - hyprsunset
  - zsh
  - sddm
  - wl-clipboard
  - feh
  - alacritty
  - dunst
  - pipewire
  - grim
  - grimshot
  - brightnessctl
  - wlogout
  - xwayland-run
  - wdisplays
  - bemenu
  - wtype
  - papirus-icon-theme
  - breeze-cursor-theme
  - arc-theme
  - google-noto-color-emoji-fonts
  - google-noto-sans-cjk-fonts
  - google-noto-emoji-fonts
  - google-noto-sans-brahmi-fonts
  - syncthing
  - cups
  - keychain
  - tldr
  - gnupg2
  - pinentry
  - trash-cli
  - htop
  - mpv
  - udiskie
  - pavucontrol
  - bluez
  - bluez-tools
  - blueman
  - beets
  - unrar-free
  - unzip
  - playerctl
  - screen
  - wireguard-tools
  - dnf-automatic
  - translate-shell
  - newsboat
  - mpd
  - ncmpcpp
  - asunder # Burning CDs
  - librewolf
  - nicotine+
  - python3-rich
  - lximage-qt
  - zathura
  - zathura-plugins-all
  - glow
  - torbrowser-launcher
  - libtool                 # Doom Emacs
  - veracrypt
  - lowdown
  - keepassxc
  - neovim
  - polkit-kde
  - qt6ct
  - qt5ct

init_groups:
  - wheel

remove_directories:
  - Templates
  - Videos
  - Documents
  - Music
  - Downloads
  - Pictures
  - Public
  - Desktop

create_directories:
  - docs
  - docs/todo
  - music
  - dls
  - pics
  - code
  - code/src
  - .config
  - .local
  - .local/share
  - .local/bin

init_users:
  opal:
    name: opal
    group: opal
    groups: 
      - wheel
    state: present
    shell: /bin/zsh
    create_home: true

network_interface: "{{ ansible_default_ipv4.interface }}"

allowed_services:
  - ssh
  - dhcpv6-client
  - mdns

git_global_config:
  - name: user.name
    value: "Ryan"
  - name: user.email
    value: "ry.orlando@proton.me"
  - name: init.defaultBranch
    value: "master"
  - name: pull.rebase
    value: "true"
